Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::lock_guard< Mutex > Class Template Referencefinal

`#include <mutex.h>`

## Public Member Functions
| lock_guard (const lock_guard &other)=delete
| lock_guard (Mutex &m)
lock_guard & | operator= (const lock_guard &other)=delete
| ~lock_guard ()

## Detailed Description

template<typename Mutex>
class Botan::lock_guard< Mutex >

Definition at line 31 of file mutex.h.

## Constructor & Destructor Documentation

## ◆ lock_guard() [1/2]

template<typename Mutex >

Botan::lock_guard< Mutex >::lock_guard | ( | Mutex & | m | ) |
| inline explicit

Definition at line 34 of file mutex.h.

34 : m_mutex(m)
35 { m_mutex.lock(); }

## ◆ ~lock_guard()

template<typename Mutex >

Botan::lock_guard< Mutex >::~lock_guard | ( |  | ) |
| inline

Definition at line 37 of file mutex.h.

37{ m_mutex.unlock(); }

## ◆ lock_guard() [2/2]

template<typename Mutex >

Botan::lock_guard< Mutex >::lock_guard | ( | const lock_guard< Mutex > & | other | ) |
| delete

## Member Function Documentation

## ◆ operator=()

template<typename Mutex >

lock_guard & Botan::lock_guard< Mutex >::operator= | ( | const lock_guard< Mutex > & | other | ) |
| delete

The documentation for this class was generated from the following file:

- src/lib/utils/mutex.h